Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../chunk-BN4qSVkS.cjs");
const require_components_TextInput = require("./TextInput.cjs");
let react = require("react");
let _emotion_react_jsx_runtime = require("@emotion/react/jsx-runtime");
//#region src/components/SecretInput.tsx
function SecretInput({ ...rest }) {
	const [showSecret, setShowSecret] = (0, react.useState)(false);
	return /* @__PURE__ */ (0, _emotion_react_jsx_runtime.jsx)(require_components_TextInput.TextInput, {
		...rest,
		type: showSecret ? void 0 : "password",
		onClickIcon: () => setShowSecret(!showSecret),
		icon: {
			name: showSecret ? "NotEye" : "Eye",
			width: 16
		}
	});
}
//#endregion
exports.SecretInput = SecretInput;
